/* for time.c */
typedef struct {
  int year;
  int month;
  int day;
  int hour;
  int min;
  int sec;
} myTime;

/* observation site info */
typedef struct {
  double slon;
  double slat;
  unsigned char lt;
  char name[256];
} Site;

#define PI 3.141592653589793

/* in time.c */
void set_lt(int lt);
int get_time(myTime *ttime);  /* get current time */
int get_localtime(myTime *ttime); /* get local time */
double myCalcmjd(int yy, int mm, int dd, int hr, int mn, int sc);
double get_lst(double tmjd, double lon);
//int get_azel(int onum, double lst);
int get_alt(double ra, double dec, double *alt, double *ha); /* get el for a ra-
dec pair */
void cal_mjd (int mn, double dy, int yr, double* tmjd);
void mjd_cal (double tmjd, int* mn, double* dy, int* yr);
void mjd_year (double tmjd, double* yr);
double mjd_day(double jd);
